import { IconDefinition } from "@fortawesome/fontawesome-svg-core";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";

interface SocialProps {
  icon: IconDefinition;
  link: string;
  label: string;
  alt: string;
  color: string;
  background: string;
}

export const Social = (props: SocialProps): JSX.Element => {
  const { icon, link, label, alt, background, color } = props;

  return (
    <a
      className="flex max-w-[300px] w-[95%] m-auto justify-between items-center border-solid border-2 rounded-3xl h-14 p-8 my-4"
      style={{
        borderColor: color,
        color,
        background,
      }}
      href={link}
      target="_blank"
      rel="noreferrer"
      aria-label={label}
    >
      <FontAwesomeIcon icon={icon} aria-label={alt} size="3x" />
      <strong>{label}</strong>
    </a>
  );
};
